using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.System;
using ZR.Model.Dto.BaseSet;
using ZR.Model.Models.BaseSet;

namespace ZR.Service.Business.IBusinessService.BaseSet
{
    /// <summary>
    /// 基础资料/库位信息表service接口
    ///
    /// @author admin
    /// @date 2023-04-11
    /// </summary>
    public interface IBasBinService : IBaseService<BasBin>
    {
        PagedInfo<BasBinDto> GetList(BasBinQueryDto parm);

        int AddBasBin(BasBin parm);

        int UpdateBasBin(BasBin parm);

        void TruncateBasBin();

        /// <summary>
        /// 导入
        /// </summary>
        /// <param name="bins"></param>
        /// <returns></returns>
        string ImportDatas(List<BasBin> bins);
    }
}
